org.apache.lucene.luke.app.desktop.components

## Class TableModelBase<T extends TableColumnInfo>

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - org.apache.lucene.luke.app.desktop.components.TableModelBase<T>

- All Implemented Interfaces:
    Serializable, TableModel

      public abstract class TableModelBase<T extends TableColumnInfo>
      extends AbstractTableModel

  Base table model that stores table's meta data and content. This also provides some default implementation of the `TableModel` interface.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object[][]` | `data`

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TableModelBase()`
    `protected` | `TableModelBase(int rows)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract T[]` | `columnInfos()`
    `Class<?>` | `getColumnClass(int colIndex)`
    `int` | `getColumnCount()`
    `String` | `getColumnName(int colIndex)`
    `int` | `getRowCount()`
    `Object` | `getValueAt(int rowIndex, int columnIndex)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### data

          protected final Object[][] data

  - ### Constructor Detail

    - #### TableModelBase

          protected TableModelBase()

    - #### TableModelBase

          protected TableModelBase(int rows)

  - ### Method Detail

    - #### columnInfos

          protected abstract T[] columnInfos()

    - #### getRowCount

          public int getRowCount()

    - #### getColumnCount

          public int getColumnCount()

    - #### getColumnName

          public String getColumnName(int colIndex)

      Specified by:
        `getColumnName` in interface `TableModel`
      Overrides:
        `getColumnName` in class `AbstractTableModel`

    - #### getColumnClass

          public Class<?> getColumnClass(int colIndex)

      Specified by:
        `getColumnClass` in interface `TableModel`
      Overrides:
        `getColumnClass` in class `AbstractTableModel`

    - #### getValueAt

          public Object getValueAt(int rowIndex,
                                   int columnIndex)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.